### Method

# Soup Server listen_socket

#### Declaration [src]

    gboolean
    soup_server_listen_socket (
      SoupServer* server,
      GSocket* socket,
      SoupServerListenOptions options,
      GError** error
    )

#### Description [src]

Attempts to set up `server` to listen for connections on `socket`.

See `soup_server_listen()` for more details.

#### Parameters

`socket` | `GSocket`
| A listening `GSocket`.
| The data is owned by the caller of the function.
`options` | `SoupServerListenOptions`
| Listening options for this server.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` if an error occurred (in which case `error` will be set).